@import 'src/style/includes/sass_vars_and_mixins.module.scss';


.hero {
  background: var(--color-brand-weakest);
  border-radius: 6px;
  padding: 5vw 0;
  margin-bottom: var(--space-xxxl);

  @include smaller-than-s {
    padding-top: var(--space-xxxl);
    padding-bottom: var(--space-xl);
    margin-bottom: var(--space-xl);
  }
}

.heroTitle {
  font-size: var(--font-size-xxxxl);
  margin: 0;
  margin-bottom: var(--space-l);
  color: var(--color-brand-base);
}

.heroText {
  font-size: var(--font-size-l);
  color: var(--color-brand-base);
  margin-bottom: 0;
}

.activityItem {
  margin-bottom: var(--space-xxl);

  @include smaller-than-s {
    margin-bottom: var(--space-l);
  }
}

.activityImage {
  object-fit: cover;
  width: 100%;
  height: calc(var(--space-xxxl) * 3);
  margin-bottom: var(--space-xs);

  @include smaller-than-s {
    height: calc(var(--space-xxxl) * 2.5);
    margin-bottom: var(--space-xxs);
  }
}

.activityMeta {
  font-size: var(--font-size-xs);
  letter-spacing: var(--font-letter-spacing-looser);
  text-transform: uppercase;
  margin-bottom: -2px;
}

.activityDate {
  color: var(--color-brand-base);
}

.activityType {
  background: var(--color-brand-base);
  color: white;
  font-weight: 600;
  border-radius: 2px;
  padding: 1px 5px;
  margin-right: var(--space-xxs);
}

.activityTitle {
  margin: 0;
  font-size: var(--font-size-xxl);
  line-height: var(--font-line-height-tightest);

  a {
    color: var(--color-text-base);
  }
}

.activityText {
  p {
    margin-top: var(--space-xxs);
  }
}